OJMoqSpy Class Reference

List of all members.

## Public Member Functions

(void) | - incrementNumberOfCallsForMethod:arguments:`[implementation]`
(id) | - init`[implementation]`
(id) | - initWithBaseObject:`[implementation]`
(void) | - replaceMethod:`[implementation]`
(void) | - selector:times:`[implementation]`
(void) | - selector:times:arguments:`[implementation]`
(void) | - verifyThatAllExpectationsHaveBeenMet`[implementation]`

## Static Public Member Functions

(OJMoqSpy) | + spyOnBaseObject:`[implementation]`

## Detailed Description

Definition at line 10 of file OJMoqSpy.j.

## Member Function Documentation

- (void) incrementNumberOfCallsForMethod: |  | (SEL) | selector
arguments: |  | (CPArray) | userArguments
|  |  | `[implementation]`

Definition at line 60 of file OJMoqSpy.j.

- (id) init |  |  | `[implementation]`

Definition at line 22 of file OJMoqSpy.j.

- (id) initWithBaseObject: |  | (CPObject) | baseObject | `[implementation]`

Definition at line 27 of file OJMoqSpy.j.

- (void) replaceMethod: |  | (SEL) | selector | `[implementation]`

Definition at line 70 of file OJMoqSpy.j.

- (void) selector: |  | (SEL) | selector
times: |  | (CPNumber) | times
|  |  | `[implementation]`

Definition at line 38 of file OJMoqSpy.j.

- (void) selector: |  | (SEL) | selector
times: |  | (CPNumber) | times
arguments: |  | (CPArray) | arguments
|  |  | `[implementation]`

Definition at line 43 of file OJMoqSpy.j.

+ (OJMoqSpy) spyOnBaseObject: |  | (id) | baseObject | `[implementation]`

Definition at line 17 of file OJMoqSpy.j.

- (void) verifyThatAllExpectationsHaveBeenMet |  |  | `[implementation]`

Definition at line 53 of file OJMoqSpy.j.

The documentation for this class was generated from the following file:

- Frameworks/OJMoq/OJMoqSpy.j

All Classes Files Functions Variables